HttpSessionBindingEvent (Servlet 6.0 API Documentation - Apache Tomcat 10.1.20)
Description: declaration: package: jakarta.servlet.http, class: HttpSessionBindingEvent

Package jakarta.servlet.http

# Class HttpSessionBindingEvent

java.lang.Object
java.util.EventObject
jakarta.servlet.http.HttpSessionEvent
jakarta.servlet.http.HttpSessionBindingEvent

All Implemented Interfaces:
  `Serializable`

public class HttpSessionBindingEvent extends HttpSessionEvent
Events of this type are either sent to an object that implements `HttpSessionBindingListener` when it is bound or unbound from a session, or to an `HttpSessionAttributeListener` that has been configured in the deployment descriptor when any attribute is bound, unbound or replaced in a session.

The session binds the object by a call to `HttpSession.setAttribute` and unbinds the object by a call to `HttpSession.removeAttribute`.

See Also:
  - `HttpSession`
  - `HttpSessionBindingListener`
  - `HttpSessionAttributeListener`
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class java.util.EventObject

  `source`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HttpSessionBindingEvent(HttpSession session, String name)`
  Constructs an event that notifies an object that it has been bound to or unbound from a session.
  `HttpSessionBindingEvent(HttpSession session, String name, Object value)`
  Constructs an event that notifies an object that it has been bound to or unbound from a session.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Returns the name with which the attribute is bound to or unbound from the session.
  `HttpSession`
  `getSession()`
  Get the session that changed.
  `Object`
  `getValue()`
  Returns the value of the attribute that has been added, removed or replaced.

  ### Methods inherited from class java.util.EventObject

  `getSource, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### HttpSessionBindingEvent

    public HttpSessionBindingEvent(HttpSession session, String name)
    Constructs an event that notifies an object that it has been bound to or unbound from a session. To receive the event, the object must implement `HttpSessionBindingListener`.
    Parameters:
      `session` - the session to which the object is bound or unbound
      `name` - the name with which the object is bound or unbound
    See Also:
      - `getName()`
      - `getSession()`

  - ### HttpSessionBindingEvent

    public HttpSessionBindingEvent(HttpSession session, String name, Object value)
    Constructs an event that notifies an object that it has been bound to or unbound from a session. To receive the event, the object must implement `HttpSessionBindingListener`.
    Parameters:
      `session` - the session to which the object is bound or unbound
      `name` - the name with which the object is bound or unbound
      `value` - the object that is bound or unbound
    See Also:
      - `getName()`
      - `getSession()`
      - `getValue()`

- ## Method Details

  - ### getSession

    public HttpSession getSession()
    Get the session that changed.
    Overrides:
      `getSession` in class `HttpSessionEvent`
    Returns:
      The session that changed

  - ### getName

    public String getName()
    Returns the name with which the attribute is bound to or unbound from the session.
    Returns:
      a string specifying the name with which the object is bound to or unbound from the session

  - ### getValue

    public Object getValue()
    Returns the value of the attribute that has been added, removed or replaced.
    Returns:
      If the attribute was added (or bound), this is the value of the attribute. If the attribute was removed (or unbound), this is the value of the removed attribute. If the attribute was replaced, this is the old value of the attribute.
    Since:
      Servlet 2.3